Bug 124805 - code generator for D language
Summary: code generator for D language
Status: RESOLVED FIXED
Alias: None
Product: umbrello
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: FreeBSD Ports Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Umbrello Development Group
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-03 06:24 UTC by jon
Modified: 2020-10-04 07:52 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jon 2006-04-03 06:24:52 UTC
Version:            (using KDE KDE 3.4.2)
Installed from:    FreeBSD Ports

I'd like to see a code generator for the D programming language. Wouldn't seem TOO difficult since D is quite close to c++ and java.
Comment 1 Oliver Kellogg 2007-06-05 07:53:49 UTC
SVN commit 671591 by okellogg:

Partial backport of r670997 from trunk.
Does not include the advanced code generator as that is blocked by bug 126262.
BUG:124805


 M  +1 -0      ChangeLog  
 M  +1 -0      THANKS  
 M  +3 -2      umbrello/attribute.cpp  
 M  +1 -1      umbrello/codegenerators/Makefile.am  
 M  +4 -0      umbrello/codegenerators/codegenfactory.cpp  
 A             umbrello/codegenerators/dwriter.cpp   [License: GPL (v2+)]
 A             umbrello/codegenerators/dwriter.h   [License: GPL (v2+)]
 M  +1 -0      umbrello/headings/Makefile.am  
 A             umbrello/headings/heading.d  
 M  +2 -0      umbrello/model_utils.cpp  
 M  +1 -0      umbrello/umlnamespace.h  


--- branches/KDE/3.5/kdesdk/umbrello/ChangeLog #671590:671591
@@ -2,6 +2,7 @@
 
 * Bugs/wishes from http://bugs.kde.org:
 * Preprocessor keywords ignored which causes endless loop in code import (119125)
+* Code generator for D language (124805)
 * Unstable saves and loads, class names become dirty (145709)
 * Crash on deleting class in list view (145762)
 * Class attribute documentation not generated for python (145916)
--- branches/KDE/3.5/kdesdk/umbrello/THANKS #671590:671591
@@ -49,6 +49,7 @@
 Piotr Kolaczkowski <P.Kolaczkowski @elka.pw.edu.pl>
 Matthias Kretz <kretz @kde.org>
 Thorsten Kunz <tk @bytecrash.net>
+Jari-Matti M
Comment 2 Oliver Kellogg 2020-10-04 07:52:12 UTC
Git commit 6d925cad5068fe1e12bc47e1b2acb567617a14a8 by Oliver Kellogg.
Committed on 04/10/2020 at 07:34.
Pushed by okellogg into branch 'master'.

umbrello/codegenerators/d/dcodegenerator.cpp
umbrello/codegenerators/d/dwriter.cpp
- In function defaultDatatypes() add type "string" to the list, see
  https://dlang.org/spec/arrays.html#strings

M  +2    -1    umbrello/codegenerators/d/dcodegenerator.cpp
M  +2    -1    umbrello/codegenerators/d/dwriter.cpp

https://invent.kde.org/sdk/umbrello/commit/6d925cad5068fe1e12bc47e1b2acb567617a14a8